Bug 190958 - [maintainer-update] multimedia/libbluray, multimedia/libaacs, [new port] multimedia/libbdplus
Summary: [maintainer-update] multimedia/libbluray, multimedia/libaacs, [new port] mult...
Status: Closed Overcome By Events
Alias: None
Product: Ports & Packages
Classification: Unclassified
Component: Individual Port(s) (show other bugs)
Version: Latest
Hardware: Any Any
: --- Affects Some People
Assignee: freebsd-ports-bugs mailing list
URL:
Keywords:
Depends on:
Blocks:
 
Reported: 2014-06-12 08:11 UTC by kamikaze
Modified: 2015-02-21 21:27 UTC (History)
2 users (show)

See Also:


Attachments
svn diff (8.76 KB, patch)
2014-06-12 08:11 UTC, kamikaze
kamikaze: maintainer-approval+
Details | Diff

Note You need to log in before you can comment on or make changes to this bug.
Description kamikaze 2014-06-12 08:11:59 UTC
Created attachment 143701 [details]
svn diff

- Update libaacs 0.7.0 → 0.7.1
- Update libbluray 0.5.0 → 0.6.0
- Add libbdplus 0.1.1

The libbluray update may require a version bump of depending programs (mplayer, vlc), but I feel hesitant about recommending that, because it's not a default dependency.
Comment 1 kamikaze 2014-06-22 19:56:21 UTC
Build logs:
https://redports.org/buildarchive/20140622145510-02504/
Comment 2 Thomas Zander freebsd_committer 2014-07-05 07:12:18 UTC
USE_AUTOTOOLS=libtool is deprecated.
Especially when introducing a new port, we need to ensure that it works with USES=libtool. Could you double-check? Thanks!
Comment 3 John Marino freebsd_committer 2014-08-11 10:03:51 UTC
I don't understand why a [new port] isn't on it's own PR.  Can't multimedia/libbluray, multimedia/libaacs be updated separately?  We have dependency links between PRs that can indicate update order.
Comment 4 commit-hook freebsd_committer 2015-02-21 20:49:16 UTC
A commit references this bug:

Author: kami
Date: Sat Feb 21 20:48:39 UTC 2015
New revision: 379549
URL: https://svnweb.freebsd.org/changeset/ports/379549

Log:
  New port multimedia/libbdplus, part of the libbluray group.

  PR:		        190958
  Differential Revision:	https://reviews.freebsd.org/D1754
  Reviewed by:	        Carlo Strub <cs@freebsd.org>
  Approved by:	        Carlo Strub <cs@freebsd.org>

Changes:
  head/multimedia/libbdplus/
  head/multimedia/libbdplus/Makefile
  head/multimedia/libbdplus/distinfo
  head/multimedia/libbdplus/pkg-descr
  head/multimedia/libbdplus/pkg-plist
  head/multimedia/libbluray/Makefile.include
Comment 5 commit-hook freebsd_committer 2015-02-21 20:54:18 UTC
A commit references this bug:

Author: kami
Date: Sat Feb 21 20:54:05 UTC 2015
New revision: 379550
URL: https://svnweb.freebsd.org/changeset/ports/379550

Log:
  Update libaacs 0.7.0 -> 0.8.0

  - Use Makefile.include from libbluray

  PR:		        190958
  Differential Revision:	https://reviews.freebsd.org/D1754
  Reviewed by:	        Carlo Strub <cs@freebsd.org>
  Approved by:	        Carlo Strub <cs@freebsd.org>

Changes:
  head/multimedia/libaacs/Makefile
  head/multimedia/libaacs/distinfo
  head/multimedia/libaacs/files/
  head/multimedia/libaacs/files/patch-src-file-mmc_device_linux.c
  head/multimedia/libaacs/pkg-plist
Comment 6 commit-hook freebsd_committer 2015-02-21 21:09:22 UTC
A commit references this bug:

Author: kami
Date: Sat Feb 21 21:08:50 UTC 2015
New revision: 379552
URL: https://svnweb.freebsd.org/changeset/ports/379552

Log:
  Update libbluray 0.5.0 -> 0.7.0

  - Add fontconfig dependency
  - Add libbdplus dependency
  - Add plist target, because mkplist does not handle options

  PR:		        190958
  Differential Revision:	https://reviews.freebsd.org/D1754
  Reviewed by:	        Carlo Strub <cs@freebsd.org>
  Approved by:	        Carlo Strub <cs@freebsd.org>

Changes:
  head/multimedia/libbluray/Makefile
  head/multimedia/libbluray/distinfo
  head/multimedia/libbluray/files/patch-src-Makefile.am
  head/multimedia/libbluray/files/patch-util-refcnt.h
  head/multimedia/libbluray/pkg-plist
Comment 7 Dominic Fandrey freebsd_committer 2015-02-21 21:27:17 UTC
Just committed a later update.